# Interface yii\web\Linkable

Implemented by | yii\data\Pagination
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/Linkable.php

Linkable is the interface that should be implemented by classes that typically represent locatable resources.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getLinks() | Returns a list of links. | yii\web\Linkable

## Method Details

getLinks() public abstract method

Returns a list of links.

Each link is either a URI or a yii\web\Link object. The return value of this method should be an array whose keys are the relation names and values the corresponding links.

If a relation name corresponds to multiple links, use an array to represent them.

For example,

    [
        'self' => 'http://example.com/users/1',
        'friends' => [
            'http://example.com/users/2',
            'http://example.com/users/3',
        ],
        'manager' => $managerLink, // $managerLink is a Link object
    ]

public abstract array getLinks ( )
return | array | The links